commit:     79ab06818600a2bd248f0fe9e5bd764119598465
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 28 12:27:23 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Sep 28 12:27:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79ab0681

net-proxy/tinyproxy: bump to 1.11.0_rc1

Finally switch to GLEP81 user/group too

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-proxy/tinyproxy/Manifest                    |  1 +
 net-proxy/tinyproxy/tinyproxy-1.11.0_rc1.ebuild | 76 +++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/net-proxy/tinyproxy/Manifest b/net-proxy/tinyproxy/Manifest
index 729b3dbd18a..70424c11705 100644
--- a/net-proxy/tinyproxy/Manifest
+++ b/net-proxy/tinyproxy/Manifest
@@ -1 +1,2 @@
 DIST tinyproxy-1.10.0.tar.xz 176060 BLAKE2B 
58f9b443c731de6b74d689a80ebd422d3b6f51f643546ee144b37fb3262725246f6a5fa1015267a94f192f8715eaf71ffc078ead75e6225a210f58ec28ee8fcf
 SHA512 
8d82598c5f9c89bc672f4632139ac52696d5c7788963de51688a8aeb576c69004f8338fe1e1897bf704a21dfd25ab1effb092003b6afaa9a88c2b5d0608310f5
+DIST tinyproxy-1.11.0-rc1.tar.xz 176732 BLAKE2B 
a448c90b17a8d3256aec1dba4307e9bce87ac421a67486e4987afbf22e49041971138f09e98a4a775cc05071b73b4f1b34e652eb2c0992b2a5fa1861a0df26b2
 SHA512 
e1d05777072d178c66d1f007163bcb4b3a0b1dfdf460881daaf962b5f1c0d0213ec5403bf50c161d811f46c8b50a476cd534f535962ec01b70fbb955471c1af1

diff --git a/net-proxy/tinyproxy/tinyproxy-1.11.0_rc1.ebuild 
b/net-proxy/tinyproxy/tinyproxy-1.11.0_rc1.ebuild
new file mode 100644
index 00000000000..7c0e27a1928
--- /dev/null
+++ b/net-proxy/tinyproxy/tinyproxy-1.11.0_rc1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd tmpfiles
+
+MY_PV=${PV/_/-}
+
+DESCRIPTION="A lightweight HTTP/SSL proxy"
+HOMEPAGE="https://github.com/tinyproxy/tinyproxy/";
+SRC_URI="https://github.com/tinyproxy/tinyproxy/releases/download/${MY_PV}/${PN}-${MY_PV}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
+
+IUSE="test debug +filter-proxy reverse-proxy transparent-proxy
++upstream-proxy +xtinyproxy-header"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( xtinyproxy-header )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DEPEND="
+       acct-group/tinyproxy
+       acct-user/tinyproxy
+"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e "s|nobody|${PN}|g" \
+               etc/${PN}.conf.in || die "sed failed"
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable debug) \
+               $(use_enable filter-proxy filter) \
+               $(use_enable reverse-proxy reverse) \
+               $(use_enable transparent-proxy transparent) \
+               $(use_enable upstream-proxy upstream) \
+               $(use_enable xtinyproxy-header xtinyproxy) \
+               --localstatedir=/var
+}
+
+src_test() {
+       # The make check target does not run the test suite
+       emake test
+}
+
+src_install() {
+       default
+
+       dodoc AUTHORS ChangeLog NEWS README TODO
+
+       diropts -m0775 -o ${PN} -g ${PN}
+       keepdir /var/log/${PN}
+
+       newinitd "${FILESDIR}"/${PN}-1.10.0.initd tinyproxy
+       systemd_newunit "${FILESDIR}"/${PN}-1.10.0.service tinyproxy.service
+       dotmpfiles "${FILESDIR}"/${PN}.tmpfiles.conf
+}
+
+pkg_postinst() {
+       tmpfiles_process ${PN}.tmpfiles.conf
+
+       elog "For filtering domains and URLs, enable filter option in the 
configuration"
+       elog "file and add them to the filter file (one domain or URL per 
line)."
+}

Reply via email to